Bug 194434 - cryptosetup luksClose returns 0 on error
cryptosetup luksClose returns 0 on error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cryptsetup-luks (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-08 00:49 EDT by Niels Endres
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 08:33:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels Endres 2006-06-08 00:49:14 EDT
Description of problem:

cryptosetup luksClose returns 0 on error.  Should return 1 (or another nonzero
value) to allow error detection in scripts.

Version-Release number of selected component (if applicable):

cryptsetup-luks 1.0.3-rc2

How reproducible:

Always

Steps to Reproduce:
1. Run luksClose on a mounted partition
  
Actual results:

[root@vault niels]# /sbin/cryptsetup luksClose sdd
Command failed: Device or resource busy
[root@vault niels]# echo $?
0

Expected results:

[root@vault niels]# /sbin/cryptsetup luksClose sdd
Command failed: Device or resource busy
[root@vault niels]# echo $?
1

Additional info:
Comment 1 W. Michael Petullo 2006-09-13 19:59:00 EDT
Niels, have you notified Clemens Fruhwirth, the upsteam maintainer of
cryptsetup?  He has a website at endorphin.org.
Comment 2 Till Maas 2007-02-06 17:21:07 EST
According to http://luks.endorphin.org/dm-crypt this has been fixed in 1.0.3,
which is in Fedora Core 6, but not in Fedora Core 5. The return values for
luksOpen are broken, too. So this bug can either be fixed by upgrading (1.0.4 is
out there, too, btw.) or closed, if you don't want to fix this, since it is open
now for more than a half year. I would prefer an upgrade. :-)
Comment 3 Till Maas 2007-06-21 08:33:57 EDT
FC5 will be End Of Life, soon. Since here was no response from the maintainer
and fixing this now in FC5 will hardly help anyone anymore, I close this bug. :-(

Note You need to log in before you can comment on or make changes to this bug.